| Disk ARchive 2.7.12 Full featured and portable backup and archiving tool

Public Member Functions | List of all members
libdar::crit_in_place_EA_bigger Class Reference
API

returns true if the space used by EA of the first entry is greater or equal to the space used by the EA of the second entry (no EA means 0 byte for EA storage) More...

`#include <criterium.hpp>`

Inherits libdar::crit_in_place_more_EA.

## Public Member Functions
| crit_in_place_EA_bigger (const crit_in_place_EA_bigger &ref)=default
| crit_in_place_EA_bigger (crit_in_place_EA_bigger &&ref) noexcept=default
crit_in_place_EA_bigger & | operator= (const crit_in_place_EA_bigger &ref)=default
crit_in_place_EA_bigger & | operator= (crit_in_place_EA_bigger &&ref) noexcept=default
virtual bool | evaluate (const cat_nomme &first, const cat_nomme &second) const override
| criterum interface method More...
virtual criterium * | clone () const override
| clone construction method More...
Public Member Functions inherited from libdar::crit_in_place_more_EA
| crit_in_place_more_EA (const crit_in_place_more_EA &ref)=default
| crit_in_place_more_EA (crit_in_place_more_EA &&ref) noexcept=default
crit_in_place_more_EA & | operator= (const crit_in_place_more_EA &ref)=default
crit_in_place_more_EA & | operator= (crit_in_place_more_EA &&ref) noexcept=default
virtual bool | evaluate (const cat_nomme &first, const cat_nomme &second) const override
| criterum interface method More...
virtual criterium * | clone () const override
| clone construction method More...
Public Member Functions inherited from libdar::criterium
| criterium (const criterium &ref)=default
| criterium (criterium &&ref) noexcept=default
criterium & | operator= (const criterium &ref)=default
criterium & | operator= (criterium &&ref) noexcept=default
virtual bool | evaluate (const cat_nomme &first, const cat_nomme &second) const =0
| criterum interface method More...
virtual criterium * | clone () const =0
| clone construction method More...

## Detailed Description

returns true if the space used by EA of the first entry is greater or equal to the space used by the EA of the second entry (no EA means 0 byte for EA storage)

this criterium does not have any consideration for the second entry

Definition at line 427 of file criterium.hpp.

## Member Function Documentation

## ◆ clone()

virtual criterium * libdar::crit_in_place_EA_bigger::clone | ( |  | ) | const
| inline override virtual

clone construction method

Returns
  a new object of the same type,

Note
  this method must be implemented in all the leaf classes of the class hierarchy rooted at the criterium class

Reimplemented from libdar::crit_in_place_more_EA.

Definition at line 438 of file criterium.hpp.

## ◆ evaluate()

virtual bool libdar::crit_in_place_EA_bigger::evaluate | ( | const cat_nomme & | first,
|  | const cat_nomme & | second
| ) |  | const
| override virtual

criterum interface method

Parameters

  [in] | first | entry to compare with the following (this is the original or 'in place' entry)
  [in] | second | the other entry to compare with the previous one (this is the new entry to add)

Returns
  the result of the criterium evaluation (true or false)

Reimplemented from libdar::crit_in_place_more_EA.

The documentation for this class was generated from the following file:

- criterium.hpp